const bindings = new Map<string, (event: KeyboardEvent) => void>();

export function useBindings() {
	window.addEventListener("keydown", (event) => {
		if (bindings.has(event.key)) {
			event.preventDefault();
			bindings.get(event.key)?.(event);
		}
	});
}

export function bind(key: string, callback: (event: KeyboardEvent) => void) {
	bindings.set(key, callback);
}

bind("a", () => console.log("a was pressed"));
